Current Sandbox API version: 1.4.0
- Added optional
shortHostedDisplayUrlto loan application and shop responses when the marketplace provides it. The field is returned by Create Loan Application, Get Loan Application, Shop Loan Application, Get Shopped Loan Application, and Get Quote Display, as a short URI alongsidehostedDisplayUrlandcontactPageUrl.
- Added optional
contactPageUrlto loan application and shop responses. This field is returned by Create Loan Application, Get Loan Application, Shop Loan Application, Get Shopped Loan Application, and Get Quote Display when available, and provides a URL for the contact page for the loan application.
-
Added new consent endpoints for granular consent recording:
POST /v1/loans/consent/generalendpoint to record general consent for a loan application.POST /v1/loans/consent/tcpaendpoint to record TCPA consent for a loan application.
- Added Get Quote Display endpoint to retrieve display information for a quote.
GET /v1/loans/{id}/displayendpoint provides quote display information.
- Added endpoints to maintain load officer
- Added endpoints to maintain load contacts
Current Sandbox API version: 1.2.4
- Added Close Loan Application to the API.
PATCH /v1/loans/{id}/closeendpoint is used to close a loan application when the borrower has obtained insurance from another source.
- Enforced TCPA consent requirement for Schedule Call and Call Me Now endpoints:
POST /v1/loans/schedule-callandPOST /v1/loans/call-me-nownow require that TCPA consent has been recorded for the loan application before a call can be scheduled or requested.
-
Documented special sandbox/staging behaviors for loan applications:
- If the
firstNameof the primary borrower is set toBind_policyand the loan is patched in the staging environment, a policy will automatically be created and associated to the contact. - If the
lastNameof the primary borrower is set toWind,Fire,Flood, orEarthquake, a supplemental policy will also be created in the same line of business and associated to the contact.
- If the
- Added policy retrieve flow to the API.
- Added HMAC verification to webhooks to the API.
- Added policy retrieved webhook to the API.
Added additional loan purpose type to the loan purpose type enum.
LAND_LOT
Added additional property types to the property type enum.
BARE_LAND,AGRICULTURAL_LAND,RECREATIONAL_LAND,IMPROVED_LAND,OTHER_LAND,
Initial major release of the Lenders API.
- Added Auth endpoint to get access token:
POST /v1/auth/token - Added Loan Application endpoint to submit a loan application:
POST /v1/loans/application - Added Consent endpoint to record borrower consent to shop insurance for loan application:
POST /v1/loans/consent - Added Shop Loan Application endpoint to shop (trigger the quoting process for) a loan application:
POST /v1/loans/shop - Added Get Shopped Loan Application endpoint to get the results (insurance quote options) for a shopped loan application:
GET /v1/loans/shop/{id} - Added Schedule call endpoint for a borrower to schedule a call with an insurance advisor:
POST /v1/loans/schedule-call - Added Call me now endpoint to request a call from an insurance advisor immediately:
POST /v1/loans/call-me-now